Rated 5 out of 5 stars

I comletely agree with Magante93, Distrust is a much better option than the built-in solution of Firefox 3.5.
Thanks to "Nightly Tester Tools"extension I forced the compatibility and it seems to work as good at it was with previous versions of Firefox.